<?php

use Phinx\Migration\AbstractMigration;

class InsertLivraison extends AbstractMigration
{
    public function up()
    {
        $livraison_statut = array(
            array('livraison_statut_id' => '1','livraison_statut_nom' => 'Actif'),
            array('livraison_statut_id' => '2','livraison_statut_nom' => 'Non Actif')
        );

        $this
            ->table('livraison_statut')
            ->insert($livraison_statut)
            ->save();

        $livraison = array(
            array('livraison_id' => '1','livraison_rang' => '10','livraison_code' => 'COLD','livraison_suivi' => '','livraison_statut_id' => '1','livraison_delai_min' => '2','livraison_delai_max' => '4','livraison_prix_min' => '0.00','livraison_prix_max' => '9999999999999.99','livraison_icon' => '','livraison_type_id' => '2','livraison_class' => '','livraison_icon_map' => ''),
            array('livraison_id' => '2','livraison_rang' => '20','livraison_code' => '24R','livraison_suivi' => 'http://www.mondialrelay.fr/suivi-de-colis/?numeroExpedition=%COLIS%&codePostal=%CP%','livraison_statut_id' => '1','livraison_delai_min' => '1','livraison_delai_max' => '2','livraison_prix_min' => '0.00','livraison_prix_max' => '9999.00','livraison_icon' => '','livraison_type_id' => '1','livraison_class' => 'Shopbydedi\\Shipping\\MondialRelay','livraison_icon_map' => '/styles/erikalingerie/images/mr_ico.png'),
            array('livraison_id' => '3','livraison_rang' => '30','livraison_code' => 'CHR','livraison_suivi' => '','livraison_statut_id' => '1','livraison_delai_min' => '1','livraison_delai_max' => '1','livraison_prix_min' => '0.00','livraison_prix_max' => '9999.00','livraison_icon' => '','livraison_type_id' => '2','livraison_class' => '','livraison_icon_map' => ''),
            array('livraison_id' => '4','livraison_rang' => '60','livraison_code' => 'LP','livraison_suivi' => '','livraison_statut_id' => '2','livraison_delai_min' => '0','livraison_delai_max' => '0','livraison_prix_min' => '0.00','livraison_prix_max' => '9999.00','livraison_icon' => '','livraison_type_id' => '2','livraison_class' => '','livraison_icon_map' => ''),
            array('livraison_id' => '5','livraison_rang' => '50','livraison_code' => 'A2P','livraison_suivi' => '','livraison_statut_id' => '1','livraison_delai_min' => '1','livraison_delai_max' => '2','livraison_prix_min' => '0.01','livraison_prix_max' => '99999999.00','livraison_icon' => '','livraison_type_id' => '1','livraison_class' => 'Shopbydedi\\Shipping\\SoColissimo','livraison_icon_map' => '/styles/erikalingerie/images/picto-colissimo.png')
        );

        $this
            ->table('livraison')
            ->insert($livraison)
            ->save();

        $livraison_boutique = array(
            array('livraison_boutique_id' => '1','livraison_id' => '1','boutique_id' => '1','livraison_boutique_statut_id' => '1'),
            array('livraison_boutique_id' => '2','livraison_id' => '2','boutique_id' => '1','livraison_boutique_statut_id' => '1'),
            array('livraison_boutique_id' => '3','livraison_id' => '3','boutique_id' => '1','livraison_boutique_statut_id' => '1'),
            array('livraison_boutique_id' => '4','livraison_id' => '4','boutique_id' => '1','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '12','livraison_id' => '1','boutique_id' => '3','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '13','livraison_id' => '2','boutique_id' => '3','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '14','livraison_id' => '3','boutique_id' => '3','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '15','livraison_id' => '4','boutique_id' => '3','livraison_boutique_statut_id' => '1'),
            array('livraison_boutique_id' => '19','livraison_id' => '5','boutique_id' => '1','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '20','livraison_id' => '5','boutique_id' => '2','livraison_boutique_statut_id' => '1'),
//            array('livraison_boutique_id' => '21','livraison_id' => '5','boutique_id' => '3','livraison_boutique_statut_id' => '1')
        );

        $this
            ->table('livraison_boutique')
            ->insert($livraison_boutique)
            ->save();

        $livraison_gratuit = array(
            array('livraison_gratuit_id' => '1','boutique_id' => NULL,'livraison_id' => '1','zone_id' => '5','livraison_gratuit_prix' => '82.5000','taxe_id' => '7')
        );

        $this
            ->table('livraison_gratuit')
            ->insert($livraison_gratuit)
            ->save();

        $livraison_nom = array(
            array('livraison_nom_id' => '4','livraison_id' => '1','langue_id' => '1','livraison_nom_nom' => 'So Colissimo','livraison_nom_desc' => 'Livriason par SoColissimo'),
            array('livraison_nom_id' => '5','livraison_id' => '2','langue_id' => '1','livraison_nom_nom' => 'Mondial Relay','livraison_nom_desc' => ''),
            array('livraison_nom_id' => '6','livraison_id' => '3','langue_id' => '1','livraison_nom_nom' => 'Chronopost','livraison_nom_desc' => 'Livraison rapide par Chronopost'),
            array('livraison_nom_id' => '7','livraison_id' => '4','langue_id' => '1','livraison_nom_nom' => 'La poste','livraison_nom_desc' => ''),
            array('livraison_nom_id' => '8','livraison_id' => '5','langue_id' => '1','livraison_nom_nom' => 'So Colissimo','livraison_nom_desc' => '')
        );

        $this
            ->table('livraison_nom')
            ->insert($livraison_nom)
            ->save();

        $livraison_type = array(
            array('livraison_type_id' => '1','livraison_type_rang' => '10'),
            array('livraison_type_id' => '2','livraison_type_rang' => '20'),
            array('livraison_type_id' => '3','livraison_type_rang' => '30')
        );

        $this
            ->table('livraison_type')
            ->insert($livraison_type)
            ->save();

        $livraison_type_nom = array(
            array('livraison_type_nom_id' => '1','livraison_type_id' => '1','livraison_type_nom_nom' => 'En point relais','langue_id' => '1'),
            array('livraison_type_nom_id' => '2','livraison_type_id' => '2','livraison_type_nom_nom' => 'A domicile','langue_id' => '1'),
            array('livraison_type_nom_id' => '3','livraison_type_id' => '3','livraison_type_nom_nom' => 'retrait en magasin','langue_id' => '1')
        );

        $this
            ->table('livraison_type_nom')
            ->insert($livraison_type_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('livraison')
            ->truncate();
        $this
            ->table('livraison_boutique')
            ->truncate();
        $this
            ->table('livraison_gratuit')
            ->truncate();
        $this
            ->table('livraison_nom')
            ->truncate();
        $this
            ->table('livraison_statut')
            ->truncate();
        $this
            ->table('livraison_type')
            ->truncate();
        $this
            ->table('livraison_type_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
