<?php

namespace Controller;

use Form\RegisterForm;
use Form\RegisterFormLight;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Texte;
use Client;
use Panier;
use Boutique;
use Exception;

use Symfony\Component\Routing\Annotation\Route;

/**
 * Class RegisterController
 * @package Controller
 *
 */
class RegisterController extends Controller {

    /**
     * @Route("/register", name="inscription", methods = { "GET" })
     *
     * @return mixed
     */
    public function show_register()
    {
        if (!empty($post['origin'])) {
            $origin = $post['origin'];
        } else {
            $origin = $this->request->get('origin');
        }

        $redirectVars = array();
        if(!empty($origin)){
            $redirectVars['origin'] = $origin;
        }
        return new RedirectResponse($this->generateUrl('login', $redirectVars));
    }

    /**
     * @Route("/register", name="inscription_post", methods = { "POST" })
     *
     */
    public function post_register()
    {
        $post = $this->request->request->all();
        $flashBag = $this->getFlashBag();

        if (!empty($post['origin'])) {
            $origin = $post['origin'];
        } else {
            $origin = $this->request->get('origin');
        }

        $redirectVars = array();
        if(!empty($origin)){
            $redirectVars['origin'] = $origin;
        }

        $response = new RedirectResponse($this->generateUrl('inscription', $redirectVars));

        if(!empty($post['client_ddn_Year']) && !empty($post['client_ddn_Month']) && !empty($post['client_ddn_Day'])) {
            $date = $post['client_ddn_Year'] . "-" . str_pad($post['client_ddn_Month'], 2, "0", STR_PAD_LEFT) . "-" . str_pad($post['client_ddn_Day'], 2, "0", STR_PAD_LEFT);
            $this->request->request->set('client_ddn',$date);
            $post['client_ddn'] = $date;
        }

        $form = new RegisterForm();
        if($error = $form->handle($this->request)){
            $flashBag->add("error", $error);
        }

        if(!$flashBag->has("error")){

            $client = new Client();
            $texte = new Texte();

            try {
                $idClient = $client->add($post);
            } catch(Exception $e) {
                error_log($e->getMessage());
                error_log($e->getTraceAsString());
                $flashBag->add('error',
                    $texte->getOneOrCreate('errCreationClient',
                        'Une erreur lors la création de votre compte est survenue. Veuillez re essayer.')
                );
            }

            if (!empty($idClient)) {
                $customer = new Client($idClient);
                $client->setSession($this->request->getSession(), $customer->toArray());
                $flashBag->add("success", $texte->getOneOrCreate('successCreationClient','Vous êtes à présent correctement inscrit.'));
                if ('panier' === $origin) {
                    Panier::getInstance()->setCustomer($customer);
                    $response = $this->redirect($this->generateUrl(Boutique::getInstance()->getNextPageProcess()));
                } else {
                    $response = $this->redirect($this->generateUrl('modif_compte'));
                }
            }
        }

        $flashBag->set('post', $post);

        return $response;
    }
}
