<?php

use Monolog\Logger;
use Monolog\Handler\StreamHandler;
use Monolog\Formatter\JsonFormatter;

/**
 * DediException class
 *
 * Exception à lancer.
 * Si debug activer : ajoute l'exception dans la debug bar PHP
 * Si non, ajoute l'excption aux logs
 */
class DediException extends Exception
{
    /**
     * Constructeur
     *
     * @param null $message
     * @param int $code
     * @param Exception $previous
     *
     * @return void
     */
    public function __construct($message = null, $code = 0, Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $dbg = Application::getDebugBar();
        if (getenv('APP_DEBUG') && !empty($dbg)) {
            // ajout exception a la debugbar
            $dbg['exceptions']->addException($this);
        } else {
            Application::getLogger('app')->error($this);
        }
    }
}
